#!/bin/sh

appName='dliEpcr'

if [ "X$1" = 'X-h' -o "X$1" = 'X--help' ]; then
  echo 'Usage: monitor-all-app.sh [PV_PREFIX DEVICE_NAME]'
  echo 'Parameters:'
  echo '  PV_PREFIX    PV name prefix (default: "sim17bm:")'
  echo '  DEVICE_NAME  Name of DLI EPCR device (default: "DliEpcr1")'
  echo 'Example: monitor-all-app.sh'
  echo 'Example: monitor-all-app.sh sim17bm: DliEpcr1'
  exit 0
fi

pvPrefix=sim17bm:
if [ "X$1" != 'X' ]; then pvPrefix="$1"; fi
deviceName=DliEpcr1
if [ "X$2" != 'X' ]; then deviceName="$2"; fi

THIS_SCRIPT_HOME=`dirname "$0"`
cd "$THIS_SCRIPT_HOME"
if [ $? -ne 0 ]; then
  echo "Failed to cd to \"$THIS_SCRIPT_HOME\"." 1>&2
  exit 1
fi
THIS_SCRIPT_HOME=`pwd`
if [ $? -ne 0 ]; then
  echo 'Failed to get current working directory.' 1>&2
  exit 1
fi

cat ../${appName}App/Db/${appName}.db | \
  egrep '^record\(' | \
  egrep -o '\$\(P\)[^"]+' | \
  sed -e "s!\$(P)!$pvPrefix!g" -e "s!\$(D)!$deviceName!g" | \
  xargs camonitor
